Launching CouchDB

Created a new EC2 instance on Linux 2018.

Log in with SSH, with key in the directory

Install dependencies

yum install gcc gcc-c++ libtool curl-devel ruby-rdoc zlib-devel openssl-devel make automake rubygems perl git-core

Enable EPEL repository

sudo yum-config-manager --enable epel

Build SpiderMonkey JS Engine

wget http://ftp.mozilla.org/pub/mozilla.org/js/js185-1.0.0.tar.gz 
tar xvfz js185-1.0.0.tar.gz
cd js-1.8.5/js/src
./configure
make
sudo make install

downloaded dependencies, got spidermonkey, and all that. I’ve been using https://guide.couchdb.org/draft/source.html.

The challenge is

Once you have installed all of the dependencies, you should download a copy of the CouchDB source. This should give you an archive that you’ll need to unpack. Open up a terminal and change directory to your newly unpacked archive.

Configure the source by running:

./configure

But I don’t have a good way yet to download the CouchDB source. I believe I will need to use curl url-to-couchdb-source.bin –output usr/local/couchdb-bins.bin

RedHat 8: Place the following text into /etc/yum.repos.d/bintray-apache-couchdb-rpm.repo:

[bintray--apache-couchdb-rpm]
name=bintray--apache-couchdb-rpm
baseurl=http://apache.bintray.com/couchdb-rpm/el8/$basearch/
gpgcheck=0
repo_gpgcheck=0
enabled=1
 ^ I used vi ....filename above and found that it wouldn't let me write - try again as root?

Update: sort of fixed by using nano and the CentOS option. Now the next step sudo yum -y install couchdb gives:

Error: Package: couchdb-3.1.1-1.el8.x86_64 (bintray–apache-couchdb-rpm)
Requires: libmozjs-60.so.0(js)(64bit)
Error: Package: couchdb-3.1.1-1.el8.x86_64 (bintray–apache-couchdb-rpm)
Requires: libmozjs-60.so.0()(64bit)
Error: Package: couchdb-3.1.1-1.el8.x86_64 (bintray–apache-couchdb-rpm)
Requires: systemd
Error: Package: couchdb-3.1.1-1.el8.x86_64 (bintray–apache-couchdb-rpm)
Requires: libcrypto.so.1.1()(64bit)
Error: Package: couchdb-3.1.1-1.el8.x86_64 (bintray–apache-couchdb-rpm)
Requires: libtinfo.so.6()(64bit)
Error: Package: couchdb-3.1.1-1.el8.x86_64 (bintray–apache-couchdb-rpm)
Requires: libicudata.so.60()(64bit)
Error: Package: couchdb-3.1.1-1.el8.x86_64 (bintray–apache-couchdb-rpm)
Requires: libicuuc.so.60()(64bit)
Error: Package: couchdb-3.1.1-1.el8.x86_64 (bintray–apache-couchdb-rpm)
Requires: libicui18n.so.60()(64bit)
Error: Package: couchdb-3.1.1-1.el8.x86_64 (bintray–apache-couchdb-rpm)
Requires: libcrypto.so.1.1(OPENSSL_1_1_0)(64bit)
Error: Package: couchdb-3.1.1-1.el8.x86_64 (bintray–apache-couchdb-rpm)
Requires: libcrypto.so.1.1(OPENSSL_1_1_1)(64bit)
Error: Package: couchdb-3.1.1-1.el8.x86_64 (bintray–apache-couchdb-rpm)
Requires: mozjs60

Now, did

sudo yum --enablerepo=epel update

sudo yum groupinstall "Development Tools"


sudo curl -O https://ftp.mozilla.org/pub/js/js185-1.0.0.tar.gz

tar -xvf js185-1.0.0.tar.gz

cd js-1.8.5/js/src/

./configure
make
sudo make install

sudo yum install libicu-devel ncurses-devel openssl-devel
mkdir couch-compile && cd couch-compile

This is from , but sudo curl -O https://ftp.mozilla.org/pub/js/js185-1.0.0.tar.gz had to be prepended by sudo.